## org.eclipse.emf.ecoretools.diagram.providers
Class EcoreShortcutsDecoratorProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.emf.ecoretools.diagram.providers.EcoreShortcutsDecoratorProvider

All Implemented Interfaces:
  org.eclipse.gmf.runtime.common.core.service.IProvider, org.eclipse.gmf.runtime.diagram.ui.services.decorator.IDecoratorProvider

    public class EcoreShortcutsDecoratorProvider

extends org.eclipse.gmf.runtime.common.core.service.AbstractProvider
implements org.eclipse.gmf.runtime.diagram.ui.services.decorator.IDecoratorProvider

Nested Class Summary
`protected class` `EcoreShortcutsDecoratorProvider.ShortcutsDecorator`

Field Summary
`static java.lang.String` `SHORTCUTS_DECORATOR_ID`

Constructor Summary
`EcoreShortcutsDecoratorProvider()`

Method Summary
`void` `createDecorators(org.eclipse.gmf.runtime.diagram.ui.services.decorator.IDecoratorTarget decoratorTarget)`
`boolean` `provides(org.eclipse.gmf.runtime.common.core.service.IOperation operation)`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Field Detail

### SHORTCUTS_DECORATOR_ID

    public static final java.lang.String SHORTCUTS_DECORATOR_ID

See Also:
  Constant Field Values

Constructor Detail

### EcoreShortcutsDecoratorProvider

    public EcoreShortcutsDecoratorProvider()

Method Detail

### provides

    public boolean provides(org.eclipse.gmf.runtime.common.core.service.IOperation operation)

  Specified by:
    `provides` in interface `org.eclipse.gmf.runtime.common.core.service.IProvider`

### createDecorators

    public void createDecorators(org.eclipse.gmf.runtime.diagram.ui.services.decorator.IDecoratorTarget decoratorTarget)

  Specified by:
    `createDecorators` in interface `org.eclipse.gmf.runtime.diagram.ui.services.decorator.IDecoratorProvider`

Copyright 2007 Anyware Technologies. All Rights Reserved.